- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QXmlDeclHandler Class Reference

Search for all occurrences

## Detailed Description

Definition at line 360 of file qxml.h.

`#include <qxml.h>`

Inheritance diagram for QXmlDeclHandler:
[legend]

List of all members.

## Public Member Functions
virtual | ~QXmlDeclHandler ()
virtual bool | attributeDecl (const QString &eName, const QString &aName, const QString &type, const QString &valueDefault, const QString &value)=0
virtual bool | internalEntityDecl (const QString &name, const QString &value)=0
virtual bool | externalEntityDecl (const QString &name, const QString &publicId, const QString &systemId)=0
virtual QString | errorString () const =0

## Constructor & Destructor Documentation

virtual ~QXmlDeclHandler | ( |  | ) | `[inline, virtual]`

Definition at line 363 of file qxml.h.

    {}

## Member Function Documentation

virtual bool attributeDecl | ( | const QString & | eName,
|  | const QString & | aName,
|  | const QString & | type,
|  | const QString & | valueDefault,
|  | const QString & | value
| ) |  | `[pure virtual]`

Search for all occurrences

Implemented in QXmlDefaultHandler.

virtual bool internalEntityDecl | ( | const QString & | name,
|  | const QString & | value
| ) |  | `[pure virtual]`

Search for all occurrences

Implemented in QXmlDefaultHandler.

virtual bool externalEntityDecl | ( | const QString & | name,
|  | const QString & | publicId,
|  | const QString & | systemId
| ) |  | `[pure virtual]`

Search for all occurrences

Implemented in QXmlDefaultHandler.

virtual QString errorString | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QXmlDefaultHandler.

The documentation for this class was generated from the following file:

- QtXml/qxml.h

QXmlDeclHandler QXmlDeclHandler QXmlDeclHandler QXmlDeclHandler QXmlDeclHandler QXmlDeclHandler QXmlDeclHandler QXmlDeclHandler QXmlDeclHandler QXmlDeclHandler
QXmlDeclHandler QXmlDeclHandler QXmlDeclHandler QXmlDeclHandler QXmlDeclHandler QXmlDeclHandler QXmlDeclHandler QXmlDeclHandler QXmlDeclHandler QXmlDeclHandler